package com.simaek.notify.wechat;

import com.simaek.notify.Provider;

public enum WechatProvider implements Provider {
    corpMessage("微信企业消息通知"),
    subscription("微信公众号");

    private final String name;

    WechatProvider(String name) {
        this.name = name;
    }

    @Override
    public String getId() {
        return name();
    }

    @Override
    public String getName() {
        return name;
    }
}
